BrlAPI 0.8

Functions
Setting and getting client data

## Functions
void BRLAPI_STDCALL | brlapi_setClientData (void *data)
void BRLAPI_STDCALL | brlapi__setClientData (brlapi_handle_t *handle, void *data)
void *BRLAPI_STDCALL | brlapi_getClientData (void)
void *BRLAPI_STDCALL | brlapi__getClientData (brlapi_handle_t *handle)

## Detailed Description

Clients can register a pointer to data that can then be used e.g. in exception handlers.

## Function Documentation

## ◆ brlapi__getClientData()

void *BRLAPI_STDCALL brlapi__getClientData | ( | brlapi_handle_t * | handle | ) |

## ◆ brlapi__setClientData()

void BRLAPI_STDCALL brlapi__setClientData | ( | brlapi_handle_t * | handle,
|  | void * | data )

## ◆ brlapi_getClientData()

void *BRLAPI_STDCALL brlapi_getClientData | ( | void |  | ) |

Retrieves the pointer to the private client data

Returns
  the pointer to the private client data

## ◆ brlapi_setClientData()

void BRLAPI_STDCALL brlapi_setClientData | ( | void * | data | ) |

Register a pointer to client data

Parameters

  data | The pointer to the private client data